com.holonplatform.jpa.spring.internal

## Class JpaRegistrar

- java.lang.Object
- - com.holonplatform.spring.internal.AbstractConfigPropertyRegistrar
  - - com.holonplatform.jpa.spring.internal.JpaRegistrar

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.context.EnvironmentAware

      public class JpaRegistrar
      extends com.holonplatform.spring.internal.AbstractConfigPropertyRegistrar
      implements org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware

  Registrar for JPA beans registration using `EnableJpa` annotation.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaRegistrar()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `static String` | `registerJpaBeans(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, org.springframework.beans.factory.BeanFactory beanFactory, org.springframework.core.env.Environment environment, Map<String,Object> attributes, ClassLoader beanClassLoader)` Register JPA beans relying on given attributes
    `void` | `setBeanClassLoader(ClassLoader classLoader)`
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

    - ### Methods inherited from class com.holonplatform.spring.internal.AbstractConfigPropertyRegistrar

      `setEnvironment`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.annotation.ImportBeanDefinitionRegistrar

      `registerBeanDefinitions`

- - ### Constructor Detail

    - #### JpaRegistrar

          public JpaRegistrar()

  - ### Method Detail

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

    - #### registerJpaBeans

          public static String registerJpaBeans(org.springframework.beans.factory.support.BeanDefinitionRegistry registry,
                                                org.springframework.beans.factory.BeanFactory beanFactory,
                                                org.springframework.core.env.Environment environment,
                                                Map<String,Object> attributes,
                                                ClassLoader beanClassLoader)

      Register JPA beans relying on given attributes
      Parameters:
        `registry` - BeanDefinitionRegistry
        `beanFactory` - Bean factory
        `environment` - Optional Environment
        `attributes` - Attributes
        `beanClassLoader` - Beans class loader
      Returns:
        Registered `EntityManagerFactory` bean name

Copyright © 2019 The Holon Platform. All rights reserved.